Mistral environments will fail if the variables are large enough

Bug #1697689 reported by Dougal Matthews on 2017-06-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mistral
Medium
Dougal Matthews
tripleo
High
Dougal Matthews

Bug Description

Currently the Environment model has this column.

    variables = sa.Column(st.JsonDictType())

It should be updated to st.JsonLongDictType like other models have done when they hit the limit in the past.

There are some Newton TripleO deployments that have hit this limit as they are storing complex configuration in the Mistral environment. This means that they are no longer able to deploy/update.

The problem is still present in Ocata and master too.

Fix proposed to branch: master
Review: https://review.openstack.org/473813

Changed in mistral:
status: Confirmed → In Progress
Lingxian Kong (kong) wrote :

Hi, Dougal, what's the max length for JsonDictType? I am wondering if it's critical enough for the backport

Dougal Matthews (d0ugal) wrote :

Hey,

The type in mysql is TEXT, which has a limit of 65,535 bytes. So it is quite large. We are hitting this limit in some environments that are running Newton - so we do need the backport.

Dougal Matthews (d0ugal) on 2017-06-14
description: updated
Changed in tripleo:
importance: Undecided → High
Changed in mistral:
importance: High → Medium
Changed in tripleo:
status: New → In Progress
assignee: nobody → Dougal Matthews (d0ugal)
milestone: none → pike-3

Reviewed: https://review.openstack.org/473813
Committed: https://git.openstack.org/cgit/openstack/mistral/commit/?id=78f69001d82dc51fa2ac6903bc3a71f86ff189bc
Submitter: Jenkins
Branch: master

commit 78f69001d82dc51fa2ac6903bc3a71f86ff189bc
Author: Dougal Matthews <email address hidden>
Date: Tue Jun 13 13:30:23 2017 +0100

    Increase the Environment variable column length

    Closes-Bug: #1697689
    Change-Id: Icfbef6ff464649dbc50b78e292576bd112926d4b

Changed in mistral:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/473815
Committed: https://git.openstack.org/cgit/openstack/mistral/commit/?id=98a6433b9abe9f52055f91225a4d03b6ed73758a
Submitter: Jenkins
Branch: stable/newton

commit 98a6433b9abe9f52055f91225a4d03b6ed73758a
Author: Dougal Matthews <email address hidden>
Date: Tue Jun 13 13:30:23 2017 +0100

    Increase the Environment variable column length

    Closes-Bug: #1697689
    Change-Id: Icfbef6ff464649dbc50b78e292576bd112926d4b
    (cherry picked from commit 78f69001d82dc51fa2ac6903bc3a71f86ff189bc)

tags: added: in-stable-newton

Reviewed: https://review.openstack.org/473814
Committed: https://git.openstack.org/cgit/openstack/mistral/commit/?id=58955acef686ae359e3bfe65428532df4f072460
Submitter: Jenkins
Branch: stable/ocata

commit 58955acef686ae359e3bfe65428532df4f072460
Author: Dougal Matthews <email address hidden>
Date: Tue Jun 13 13:30:23 2017 +0100

    Increase the Environment variable column length

    Closes-Bug: #1697689
    Change-Id: Icfbef6ff464649dbc50b78e292576bd112926d4b
    (cherry picked from commit 78f69001d82dc51fa2ac6903bc3a71f86ff189bc)

tags: added: in-stable-ocata

Reviewed: https://review.openstack.org/478594
Committed: https://git.openstack.org/cgit/openstack/mistral/commit/?id=9a443dc34158636709c8737592d50a58ca1b91f8
Submitter: Jenkins
Branch: stable/newton

commit 9a443dc34158636709c8737592d50a58ca1b91f8
Author: Dougal Matthews <email address hidden>
Date: Tue Jun 13 13:30:23 2017 +0100

    Increase the Environment variable column length

    Change-Id: I1af44fa93890ebcbd0b2bbebbe6231de25f6d867
    Closes-Bug: #1697689
    Closes-Bug: #1699515

This issue was fixed in the openstack/mistral 5.0.0.0b3 development milestone.

Changed in tripleo:
milestone: pike-3 → pike-rc1
Ben Nemec (bnemec) on 2017-08-17
Changed in tripleo:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers